MONGOC_READ_PREFS_NEW(3)

NAME
mongoc_read_prefs_new - mongoc_read_prefs_new()

SYNOPSIS

mongoc_read_prefs_t *
mongoc_read_prefs_new (mongoc_read_mode_t read_mode)
   BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

•   read_mode: A mongoc_read_mode_t.

DESCRIPTION

Creates a new mongoc_read_prefs_t using the mode specified.

RETURNS

Returns a newly allocated mongoc_read_prefs_t that should be freed with mongoc_read_prefs_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc